Module pyopenvdb :: Class BoolGrid :: Class Value |
[hide private]
[frames] | no frames]

# Class Value

     object --+
              |
    ??.instance --+
                  |
                 BoolGrid.Value

Proxy for a tile or voxel value in a BoolGrid

Instance Methods | [hide private]
__eq__(...) |
value |
__getitem__(key) Return the value of the item with the given key. |
__init__(...) Raises an exception This class cannot be instantiated from Python |
__ne__(...) |
__reduce__(...) helper for pickle |
__repr__(...) repr(x) |
__setitem__(key, value) Set the value of the item with the given key. |
__str__(...) str(x) |
Value |
copy() Return a shallow copy of this value, i.e., one that shares its data with the original. |
Inherited from `unreachable.instance`: `__new__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Static Methods | [hide private]
bool |
__contains__(key) Return True if the given key exists. |
list |
keys() Return a list of keys for this tile or voxel. |

Properties | [hide private]
| active active state of this tile or voxel
| count number of voxels spanned by this value
| depth tree depth at which this value is stored
| max upper bound of the axis-aligned bounding box of this tile or voxel
| min lower bound of the axis-aligned bounding box of this tile or voxel
| parent the BoolGrid to which this value belongs
| value value of this tile or voxel
Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(...) (Constructor) |
Raises an exception This class cannot be instantiated from Python Overrides: object.__init__

### __reduce__(...) |
helper for pickle Overrides: object.__reduce__ (inherited documentation)

### __repr__(...) (Representation operator) |
repr(x) Overrides: object.__repr__ (inherited documentation)

### __str__(...) (Informal representation operator) |
str(x) Overrides: object.__str__ (inherited documentation)

Property Details | [hide private]

### active active state of this tile or voxel Get Method: unreachable(...) Set Method: unreachable(...)

### count number of voxels spanned by this value Get Method: unreachable(...)

### depth tree depth at which this value is stored Get Method: unreachable(...)

### max upper bound of the axis-aligned bounding box of this tile or voxel Get Method: unreachable(...)

### min lower bound of the axis-aligned bounding box of this tile or voxel Get Method: unreachable(...)

### parent the BoolGrid to which this value belongs Get Method: unreachable(...)

### value value of this tile or voxel Get Method: unreachable(...) Set Method: unreachable(...)